ompi/mca/rcache/base/base.h File Reference.TH "ompi/mca/rcache/base/base.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/rcache/base/base.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include 'opal/class/opal_list.h'\fP
.br
\fC#include 'class/ompi_rb_tree.h'\fP
.br
\fC#include 'mca/mca.h'\fP
.br
\fC#include 'mca/rcache/rcache.h'\fP
.br
\fC#include 'opal/threads/mutex.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef mca_rcache_base_selected_module_t \fBmca_rcache_base_selected_module_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "\fBmca_rcache_base_module_t\fP * \fBmca_rcache_base_module_create\fP (const char *name)"
.br
.ti -1c
.RI "int \fBmca_rcache_base_open\fP (void)"
.br
.RI "\fIFunction for finding and opening either all MCA components, or the one that was specifically requested via a MCA parameter. \fP"
.ti -1c
.RI "int \fBmca_rcache_base_close\fP (void)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (mca_rcache_base_selected_module_t)"
.br
.ti -1c
.RI "OMPI_DECLSPEC \fBmca_rcache_base_component_t\fP * \fBmca_rcache_base_component_lookup\fP (const char *name)"
.br
.ti -1c
.RI "OMPI_DECLSPEC \fBmca_rcache_base_module_t\fP * \fBmca_rcache_base_module_lookup\fP (const char *name)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC int \fBmca_rcache_base_output\fP"
.br
.ti -1c
.RI "OMPI_DECLSPEC \fBopal_list_t\fP \fBmca_rcache_base_components\fP"
.br
.ti -1c
.RI "OMPI_DECLSPEC \fBopal_list_t\fP \fBmca_rcache_base_modules\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
